curl https://api.getagentdrive.com/v0/drives/YOUR_DRIVE_ID \
-H "Authorization: Bearer agd_your_key"
{
"data": {
"id": "d7f3e-abc-123",
"user_id": "u1234...",
"name": "research-q1",
"slug": "alice/research-q1",
"description": "",
"file_count": 12,
"total_size": 1048576,
"created_at": "2026-03-22T10:30:00Z",
"updated_at": "2026-03-22T11:00:00Z"
}
}
Drives
Get Drive
Get details of a single drive by ID.
GET
/
v0
/
drives
/
{id}
curl https://api.getagentdrive.com/v0/drives/YOUR_DRIVE_ID \
-H "Authorization: Bearer agd_your_key"
{
"data": {
"id": "d7f3e-abc-123",
"user_id": "u1234...",
"name": "research-q1",
"slug": "alice/research-q1",
"description": "",
"file_count": 12,
"total_size": 1048576,
"created_at": "2026-03-22T10:30:00Z",
"updated_at": "2026-03-22T11:00:00Z"
}
}
Path Parameters
string
required
The drive UUID.
curl https://api.getagentdrive.com/v0/drives/YOUR_DRIVE_ID \
-H "Authorization: Bearer agd_your_key"
{
"data": {
"id": "d7f3e-abc-123",
"user_id": "u1234...",
"name": "research-q1",
"slug": "alice/research-q1",
"description": "",
"file_count": 12,
"total_size": 1048576,
"created_at": "2026-03-22T10:30:00Z",
"updated_at": "2026-03-22T11:00:00Z"
}
}
⌘I
